# ${pkg.name}

${badge('npm')} ${badge('license')} ${badge('github-issues')}  ${badge('circleci')}

${pkg.description}

${badge('nodei')}

## Features

 - reads most of the data from package.json
 - list npm commands
 - author & licence
 - use a customizable ES6 template
 - badges

## Install

`npm install --save-dev ${pkg.name}`

## Usage

Add a command in your package.json :
```
"scripts": {
  "readme": "node ./node_modules/.bin/node-readme"
},
```

Then run `npm run readme` to generate your README.md.

## Custom Template

You can copy and customize the [default README template](./src/.README.md) and add it to your project as `.README.md`.

It uses the [Javascript ES6  syntax](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/template_strings) and you can use these macros and variables :

### Badges

 - `badge('npm')` : show npm version
 - `badge('nodei')` : show npm dashboard image
 - `badge('travis-status')` : show travis build status
 - `badge('license')` : show license type
 - `badge('github-issues')` : show # of github issues
 - `badge('github-stars')` : show # of github stars
 - `badge('github-forks')` : show # of github forks
 - `badge('circleci')` : show circleci status
 - all status from [stability-badges](https://github.com/badges/stability-badges)

### Others
 - `scripts()` : list of npm scripts
 - `license()`: show license type + link
 - `dependencies()` : list of project dependencies
 - `pkg` : direct access to package.json

## Scripts  

${scripts()}

## Dependencies

${dependencies()}

## Contributing

Contributions welcome; Please submit all pull requests the against master branch. If your pull request contains JavaScript patches or features, you should include relevant unit tests. Please check the [Contributing Guidelines](contributng.md) for more details. Thanks!

## Author

${pkg.author.name} <${pkg.author.email}> ${pkg.author.url}

## License

${license()}
